This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 197459 - Review Request: perl-Object-InsideOut
Review Request: perl-Object-InsideOut
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-02 01:24 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 16:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-02 01:24:13 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-Object-InsideOut.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Object-InsideOut-1.45-0.fc5.src.rpm

Description:
This module provides comprehensive support for implementing classes using the
inside-out object model.

This module implements inside-out objects as anonymous scalar references that
are blessed into a class with the scalar containing the ID for the object
(usually a sequence number). For Perl 5.8.3 and later, the scalar reference is
set as readonly to prevent accidental modifications to the ID. Object data
(i.e., fields) are stored within the class's package in either arrays indexed
by the object's ID, or hashes keyed to the object's ID.
Comment 1 Jason Tibbitts 2006-07-03 16:26:04 EDT
Your URL points to Class-InsideOut, not Object-InsideOut.

perl(attributes) and perl(overload) are part of base Perl.  Generally I won't
see a BR: for a module that is part of base Perl as a blocker, but these are
pragmas.  What's next, perl(strict) and perl(warnings)?  Is there really a
reason for you to include these?

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   cde46297b346e329996b0cd40e9b81df  Object-InsideOut-1.45.tar.gz
* latest version is being packaged.
X BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(Object::InsideOut) = 1.45
   perl(Object::InsideOut::Exception) = 1.45
   perl(Object::InsideOut::Results) = 1.45
   perl(Object::InsideOut::Util) = 1.45
   perl-Object-InsideOut = 1.45-0.fc6
  =
   perl >= 0:5.006
   perl(:MODULE_COMPAT_5.8.8)
   perl(B)
   perl(Exception::Class)
   perl(Object::InsideOut) >= 1.45
   perl(Object::InsideOut::Exception) >= 1.45
   perl(Object::InsideOut::Util) >= 1.45
   perl(Scalar::Util) >= 1.10
   perl(strict)
   perl(warnings)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=32, Tests=541,  2 wallclock secs ( 1.98 cusr +  0.54 csys =  2.52 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Chris Weyl 2006-07-03 20:02:01 EDT
Pragma point well taken -- buildrequires removed.

URL corrected.

Spec URL: http://home.comcast.net/~ckweyl/perl-Object-InsideOut.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Object-InsideOut-1.45-0.1.fc5.src.rpm
Comment 3 Jason Tibbitts 2006-07-05 14:56:29 EDT
Looks fine now.

APPROVED
Comment 4 Chris Weyl 2006-07-05 16:10:35 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching
+Close bug

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.